Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests Deprecate tests/util.
details: https://anonhg.NetBSD.org/src/rev/20395ca75413
branches: trunk
changeset: 778122:20395ca75413
user: jruoho <jruoho%NetBSD.org@localhost>
date: Sat Mar 17 16:33:10 2012 +0000
description:
Deprecate tests/util.
diffstat:
tests/Makefile | 6 +-
tests/bin/Makefile | 9 +
tests/bin/cp/Makefile | 8 +
tests/bin/cp/t_cp.sh | 294 ++
tests/bin/dd/Makefile | 8 +
tests/bin/dd/t_dd.sh | 130 +
tests/bin/df/Makefile | 27 +
tests/bin/df/getmntinfo.c | 218 ++
tests/bin/df/t_df.sh | 148 +
tests/bin/expr/Makefile | 8 +
tests/bin/expr/t_expr.sh | 213 ++
tests/bin/pax/Makefile | 8 +
tests/bin/pax/t_pax.sh | 54 +
tests/bin/ps/Makefile | 12 +
tests/bin/ps/keywords | 122 +
tests/bin/ps/t_ps.sh | 404 +++
tests/bin/sh/Makefile | 17 +
tests/bin/sh/t_compexit.sh | 63 +
tests/bin/sh/t_evaltested.sh | 60 +
tests/bin/sh/t_exit.sh | 94 +
tests/bin/sh/t_expand.sh | 128 +
tests/bin/sh/t_fsplit.sh | 186 +
tests/bin/sh/t_here.sh | 73 +
tests/bin/sh/t_set_e.sh | 289 ++
tests/bin/sh/t_varquote.sh | 82 +
tests/bin/sh/t_wait.sh | 59 +
tests/bin/tar/Makefile | 8 +
tests/bin/tar/t_tar.sh | 51 +
tests/usr.bin/Makefile | 6 +-
tests/usr.bin/basename/Makefile | 8 +
tests/usr.bin/basename/t_basename.sh | 62 +
tests/usr.bin/bzip2/Makefile | 21 +
tests/usr.bin/bzip2/t_bzip2.sh | 52 +
tests/usr.bin/config/Makefile | 26 +
tests/usr.bin/config/d_deffs_redef | 10 +
tests/usr.bin/config/d_loop | 23 +
tests/usr.bin/config/d_loop2 | 16 +
tests/usr.bin/config/d_no_pseudo | 14 +
tests/usr.bin/config/d_postponed_orphan | 21 +
tests/usr.bin/config/d_pseudo_parent | 13 +
tests/usr.bin/config/d_shadow_instance | 25 +
tests/usr.bin/config/support/Makefile | 5 +
tests/usr.bin/config/support/arch/Makefile | 5 +
tests/usr.bin/config/support/arch/regress/Makefile | 5 +
tests/usr.bin/config/support/arch/regress/conf/Makefile | 15 +
tests/usr.bin/config/support/arch/regress/conf/Makefile.regress | 41 +
tests/usr.bin/config/support/arch/regress/conf/files.regress | 2 +
tests/usr.bin/config/support/arch/regress/conf/std.regress | 1 +
tests/usr.bin/config/support/conf/Makefile | 13 +
tests/usr.bin/config/support/conf/files | 26 +
tests/usr.bin/config/t_config.sh | 91 +
tests/usr.bin/cut/Makefile | 20 +
tests/usr.bin/cut/d_basic.out | 88 +
tests/usr.bin/cut/d_cut.in | 10 +
tests/usr.bin/cut/d_dflag.out | 88 +
tests/usr.bin/cut/d_dsflag.out | 32 +
tests/usr.bin/cut/d_latin1.in | 4 +
tests/usr.bin/cut/d_sflag.out | 32 +
tests/usr.bin/cut/d_utf8.in | 4 +
tests/usr.bin/cut/t_cut.sh | 130 +
tests/usr.bin/dirname/Makefile | 8 +
tests/usr.bin/dirname/t_dirname.sh | 49 +
tests/usr.bin/grep/Makefile | 39 +
tests/usr.bin/grep/d_basic.out | 20 +
tests/usr.bin/grep/d_begin_end_a.out | 1 +
tests/usr.bin/grep/d_begin_end_b.out | 1 +
tests/usr.bin/grep/d_binary.out | 1 +
tests/usr.bin/grep/d_context2_a.out | Bin
tests/usr.bin/grep/d_context2_b.out | Bin
tests/usr.bin/grep/d_context2_c.out | Bin
tests/usr.bin/grep/d_context_a.in | 10 +
tests/usr.bin/grep/d_context_a.out | 5 +
tests/usr.bin/grep/d_context_b.in | 3 +
tests/usr.bin/grep/d_context_b.out | 4 +
tests/usr.bin/grep/d_context_c.out | 5 +
tests/usr.bin/grep/d_context_d.out | 13 +
tests/usr.bin/grep/d_egrep.out | 1 +
tests/usr.bin/grep/d_file_exp.in | 2 +
tests/usr.bin/grep/d_file_exp.out | 6 +
tests/usr.bin/grep/d_ignore_case.out | 2 +
tests/usr.bin/grep/d_input | 12 +
tests/usr.bin/grep/d_invert.in | 10 +
tests/usr.bin/grep/d_invert.out | 5 +
tests/usr.bin/grep/d_recurse.out | 2 +
tests/usr.bin/grep/d_recurse_symlink.err | 1 +
tests/usr.bin/grep/d_recurse_symlink.out | 1 +
tests/usr.bin/grep/d_whole_line.out | 1 +
tests/usr.bin/grep/d_word_regexps.out | 1 +
tests/usr.bin/grep/d_zgrep.out | 2 +
tests/usr.bin/grep/t_grep.sh | 246 ++
tests/usr.bin/gzip/Makefile | 8 +
tests/usr.bin/gzip/t_gzip.sh | 110 +
tests/usr.bin/id/Makefile | 20 +
tests/usr.bin/id/pwgr.c | 187 +
tests/usr.bin/id/t_groups.sh | 71 +
tests/usr.bin/id/t_id.sh | 305 ++
tests/usr.bin/id/t_whoami.sh | 75 +
tests/usr.bin/m4/Makefile | 19 +
tests/usr.bin/m4/d_ff_after_dnl.m4.uue | 9 +
tests/usr.bin/m4/d_ff_after_dnl.out | 2 +
tests/usr.bin/m4/d_m4wrap-P.m4 | 5 +
tests/usr.bin/m4/d_m4wrap-P.out | 2 +
tests/usr.bin/m4/d_m4wrap.m4 | 5 +
tests/usr.bin/m4/d_m4wrap.out | 2 +
tests/usr.bin/m4/t_m4.sh | 50 +
tests/usr.bin/make/Makefile | 45 +
tests/usr.bin/make/d_comment.mk | 31 +
tests/usr.bin/make/d_comment.out | 4 +
tests/usr.bin/make/d_cond1.mk | 102 +
tests/usr.bin/make/d_cond1.out | 18 +
tests/usr.bin/make/d_dotwait.mk | 61 +
tests/usr.bin/make/d_dotwait.out | 29 +
tests/usr.bin/make/d_export.mk | 22 +
tests/usr.bin/make/d_export.out | 5 +
tests/usr.bin/make/d_export_all.mk | 11 +
tests/usr.bin/make/d_export_all.out | 9 +
tests/usr.bin/make/d_moderrs.mk | 31 +
tests/usr.bin/make/d_moderrs.out | 15 +
tests/usr.bin/make/d_modmatch.mk | 18 +
tests/usr.bin/make/d_modmatch.out | 15 +
tests/usr.bin/make/d_modmisc.mk | 33 +
tests/usr.bin/make/d_modmisc.out | 8 +
tests/usr.bin/make/d_modorder.mk | 22 +
tests/usr.bin/make/d_modorder.out | 10 +
tests/usr.bin/make/d_modts.mk | 32 +
tests/usr.bin/make/d_modts.out | 32 +
tests/usr.bin/make/d_modword.mk | 151 +
tests/usr.bin/make/d_modword.out | 121 +
tests/usr.bin/make/d_posix.mk | 24 +
tests/usr.bin/make/d_posix.out | 22 +
tests/usr.bin/make/d_qequals.mk | 8 +
tests/usr.bin/make/d_qequals.out | 1 +
tests/usr.bin/make/d_ternary.mk | 8 +
tests/usr.bin/make/d_ternary.out | 9 +
tests/usr.bin/make/d_unmatchedvarparen.mk | 3 +
tests/usr.bin/make/d_unmatchedvarparen.out | 1 +
tests/usr.bin/make/d_varcmd.mk | 49 +
tests/usr.bin/make/d_varcmd.out | 8 +
tests/usr.bin/make/t_make.sh | 89 +
tests/usr.bin/sdiff/Makefile | 39 +
tests/usr.bin/sdiff/d_dot.in | 1 +
tests/usr.bin/sdiff/d_flags_l.out | 102 +
tests/usr.bin/sdiff/d_flags_s.out | 79 +
tests/usr.bin/sdiff/d_flags_w.out | 102 +
tests/usr.bin/sdiff/d_iflags_a1.out | 100 +
tests/usr.bin/sdiff/d_iflags_a2.out | 96 +
tests/usr.bin/sdiff/d_iflags_b1.out | 69 +
tests/usr.bin/sdiff/d_iflags_b2.out | 65 +
tests/usr.bin/sdiff/d_iflags_c1.out | 99 +
tests/usr.bin/sdiff/d_iflags_c2.out | 94 +
tests/usr.bin/sdiff/d_iflags_d1.out | 69 +
tests/usr.bin/sdiff/d_iflags_d2.out | 65 +
tests/usr.bin/sdiff/d_input1 | 72 +
tests/usr.bin/sdiff/d_input2 | 69 +
tests/usr.bin/sdiff/d_oneline.in | 1 +
tests/usr.bin/sdiff/d_oneline_a.out | 1 +
tests/usr.bin/sdiff/d_oneline_b.out | 1 +
tests/usr.bin/sdiff/d_same.out | 72 +
tests/usr.bin/sdiff/d_short.out | 15 +
tests/usr.bin/sdiff/d_tabends.in | 17 +
tests/usr.bin/sdiff/d_tabends_a.out | 17 +
tests/usr.bin/sdiff/d_tabends_b.out | 17 +
tests/usr.bin/sdiff/d_tabends_c.out | 17 +
tests/usr.bin/sdiff/d_tabs.out | 102 +
tests/usr.bin/sdiff/d_tabs1.in | 72 +
tests/usr.bin/sdiff/d_tabs2.in | 69 +
tests/usr.bin/sdiff/t_sdiff.sh | 206 ++
tests/usr.bin/sort/Makefile | 15 +
tests/usr.bin/sort/d_any_char_dflag_out.txt | Bin
tests/usr.bin/sort/d_any_char_fflag_out.txt | Bin
tests/usr.bin/sort/d_any_char_iflag_out.txt | Bin
tests/usr.bin/sort/d_any_char_in.txt | Bin
tests/usr.bin/sort/t_sort.sh | 1023 ++++++++++
tests/usr.bin/xlint/Makefile | 9 +
tests/usr.bin/xlint/lint1/Makefile | 51 +
tests/usr.bin/xlint/lint1/d_alignof.c | 6 +
tests/usr.bin/xlint/lint1/d_c99_complex_num.c | 7 +
tests/usr.bin/xlint/lint1/d_c99_decls_after_stmt.c | 5 +
tests/usr.bin/xlint/lint1/d_c99_decls_after_stmt2.c | 6 +
tests/usr.bin/xlint/lint1/d_c99_for_loops.c | 10 +
tests/usr.bin/xlint/lint1/d_c99_func.c | 7 +
tests/usr.bin/xlint/lint1/d_c99_recursive_init.c | 13 +
tests/usr.bin/xlint/lint1/d_c99_struct_init.c | 10 +
tests/usr.bin/xlint/lint1/d_c99_union_init1.c | 8 +
tests/usr.bin/xlint/lint1/d_c99_union_init2.c | 8 +
tests/usr.bin/xlint/lint1/d_c99_union_init3.c | 8 +
tests/usr.bin/xlint/lint1/d_c9x_array_init.c | 6 +
tests/usr.bin/xlint/lint1/d_c9x_recursive_init.c | 16 +
tests/usr.bin/xlint/lint1/d_cast_init.c | 27 +
tests/usr.bin/xlint/lint1/d_cast_init2.c | 7 +
tests/usr.bin/xlint/lint1/d_cast_lhs.c | 7 +
tests/usr.bin/xlint/lint1/d_compound_literals1.c | 11 +
tests/usr.bin/xlint/lint1/d_compound_literals2.c | 18 +
tests/usr.bin/xlint/lint1/d_constant_conv1.c | 9 +
tests/usr.bin/xlint/lint1/d_constant_conv2.c | 9 +
tests/usr.bin/xlint/lint1/d_cvt_in_ternary.c | 13 +
tests/usr.bin/xlint/lint1/d_ellipsis_in_switch.c | 11 +
tests/usr.bin/xlint/lint1/d_gcc_compound_statements1.c | 7 +
tests/usr.bin/xlint/lint1/d_gcc_compound_statements2.c | 14 +
tests/usr.bin/xlint/lint1/d_gcc_compound_statements3.c | 10 +
tests/usr.bin/xlint/lint1/d_gcc_func.c | 7 +
tests/usr.bin/xlint/lint1/d_gcc_variable_array_init.c | 7 +
tests/usr.bin/xlint/lint1/d_incorrect_array_size.c | 3 +
tests/usr.bin/xlint/lint1/d_long_double_int.c | 7 +
tests/usr.bin/xlint/lint1/d_nested_structs.c | 21 +
tests/usr.bin/xlint/lint1/d_nolimit_init.c | 4 +
tests/usr.bin/xlint/lint1/d_packed_structs.c | 35 +
tests/usr.bin/xlint/lint1/d_shift_to_narrower_type.c | 24 +
tests/usr.bin/xlint/lint1/d_type_conv1.c | 11 +
tests/usr.bin/xlint/lint1/d_type_conv2.c | 11 +
tests/usr.bin/xlint/lint1/d_type_conv3.c | 10 +
tests/usr.bin/xlint/lint1/d_typename_as_var.c | 14 +
tests/usr.bin/xlint/lint1/d_zero_sized_arrays.c | 3 +
tests/usr.bin/xlint/lint1/t_integration.sh | 128 +
tests/usr.sbin/Makefile | 4 +-
tests/usr.sbin/mtree/Makefile | 22 +
tests/usr.sbin/mtree/d_convert.in | 40 +
tests/usr.sbin/mtree/d_convert_C.out | 14 +
tests/usr.sbin/mtree/d_convert_C_S.out | 14 +
tests/usr.sbin/mtree/d_convert_D.out | 14 +
tests/usr.sbin/mtree/d_convert_D_S.out | 14 +
tests/usr.sbin/mtree/d_create.out | 55 +
tests/usr.sbin/mtree/d_merge.in | 27 +
tests/usr.sbin/mtree/d_merge_C_M.out | 13 +
tests/usr.sbin/mtree/d_merge_C_M_S.out | 13 +
tests/usr.sbin/mtree/t_mtree.sh | 169 +
tests/util/Makefile | 19 -
tests/util/Makefile.inc | 1 -
tests/util/bzip2/Makefile | 21 -
tests/util/bzip2/t_bzip2.sh | 52 -
tests/util/config/Makefile | 26 -
tests/util/config/d_deffs_redef | 10 -
tests/util/config/d_loop | 23 -
tests/util/config/d_loop2 | 16 -
tests/util/config/d_no_pseudo | 14 -
tests/util/config/d_postponed_orphan | 21 -
tests/util/config/d_pseudo_parent | 13 -
tests/util/config/d_shadow_instance | 25 -
tests/util/config/support/Makefile | 5 -
tests/util/config/support/arch/Makefile | 5 -
tests/util/config/support/arch/regress/Makefile | 5 -
tests/util/config/support/arch/regress/conf/Makefile | 15 -
tests/util/config/support/arch/regress/conf/Makefile.regress | 41 -
tests/util/config/support/arch/regress/conf/files.regress | 2 -
tests/util/config/support/arch/regress/conf/std.regress | 1 -
tests/util/config/support/conf/Makefile | 13 -
tests/util/config/support/conf/files | 26 -
tests/util/config/t_config.sh | 91 -
tests/util/cut/Makefile | 20 -
tests/util/cut/d_basic.out | 88 -
tests/util/cut/d_cut.in | 10 -
tests/util/cut/d_dflag.out | 88 -
tests/util/cut/d_dsflag.out | 32 -
tests/util/cut/d_latin1.in | 4 -
tests/util/cut/d_sflag.out | 32 -
tests/util/cut/d_utf8.in | 4 -
tests/util/cut/t_cut.sh | 130 -
tests/util/df/Makefile | 27 -
tests/util/df/getmntinfo.c | 218 --
tests/util/df/t_df.sh | 148 -
tests/util/grep/Makefile | 39 -
tests/util/grep/d_basic.out | 20 -
tests/util/grep/d_begin_end_a.out | 1 -
tests/util/grep/d_begin_end_b.out | 1 -
tests/util/grep/d_binary.out | 1 -
tests/util/grep/d_context2_a.out | Bin
tests/util/grep/d_context2_b.out | Bin
tests/util/grep/d_context2_c.out | Bin
tests/util/grep/d_context_a.in | 10 -
tests/util/grep/d_context_a.out | 5 -
tests/util/grep/d_context_b.in | 3 -
tests/util/grep/d_context_b.out | 4 -
tests/util/grep/d_context_c.out | 5 -
tests/util/grep/d_context_d.out | 13 -
tests/util/grep/d_egrep.out | 1 -
tests/util/grep/d_file_exp.in | 2 -
tests/util/grep/d_file_exp.out | 6 -
tests/util/grep/d_ignore_case.out | 2 -
tests/util/grep/d_input | 12 -
tests/util/grep/d_invert.in | 10 -
tests/util/grep/d_invert.out | 5 -
tests/util/grep/d_recurse.out | 2 -
tests/util/grep/d_recurse_symlink.err | 1 -
tests/util/grep/d_recurse_symlink.out | 1 -
tests/util/grep/d_whole_line.out | 1 -
tests/util/grep/d_word_regexps.out | 1 -
tests/util/grep/d_zgrep.out | 2 -
tests/util/grep/t_grep.sh | 246 --
tests/util/id/Makefile | 20 -
tests/util/id/pwgr.c | 187 -
tests/util/id/t_groups.sh | 71 -
tests/util/id/t_id.sh | 305 --
tests/util/id/t_whoami.sh | 75 -
tests/util/m4/Makefile | 19 -
tests/util/m4/d_ff_after_dnl.m4.uue | 9 -
tests/util/m4/d_ff_after_dnl.out | 2 -
tests/util/m4/d_m4wrap-P.m4 | 5 -
tests/util/m4/d_m4wrap-P.out | 2 -
tests/util/m4/d_m4wrap.m4 | 5 -
tests/util/m4/d_m4wrap.out | 2 -
tests/util/m4/t_m4.sh | 50 -
tests/util/make/Makefile | 45 -
tests/util/make/d_comment.mk | 31 -
tests/util/make/d_comment.out | 4 -
tests/util/make/d_cond1.mk | 102 -
tests/util/make/d_cond1.out | 18 -
tests/util/make/d_dotwait.mk | 61 -
tests/util/make/d_dotwait.out | 29 -
tests/util/make/d_export.mk | 22 -
tests/util/make/d_export.out | 5 -
tests/util/make/d_export_all.mk | 11 -
tests/util/make/d_export_all.out | 9 -
tests/util/make/d_moderrs.mk | 31 -
tests/util/make/d_moderrs.out | 15 -
tests/util/make/d_modmatch.mk | 18 -
tests/util/make/d_modmatch.out | 15 -
tests/util/make/d_modmisc.mk | 33 -
tests/util/make/d_modmisc.out | 8 -
tests/util/make/d_modorder.mk | 22 -
tests/util/make/d_modorder.out | 10 -
tests/util/make/d_modts.mk | 32 -
tests/util/make/d_modts.out | 32 -
tests/util/make/d_modword.mk | 151 -
tests/util/make/d_modword.out | 121 -
tests/util/make/d_posix.mk | 24 -
tests/util/make/d_posix.out | 22 -
tests/util/make/d_qequals.mk | 8 -
tests/util/make/d_qequals.out | 1 -
tests/util/make/d_ternary.mk | 8 -
tests/util/make/d_ternary.out | 9 -
tests/util/make/d_unmatchedvarparen.mk | 3 -
tests/util/make/d_unmatchedvarparen.out | 1 -
tests/util/make/d_varcmd.mk | 49 -
tests/util/make/d_varcmd.out | 8 -
tests/util/make/t_make.sh | 89 -
tests/util/mtree/Makefile | 22 -
tests/util/mtree/d_convert.in | 40 -
tests/util/mtree/d_convert_C.out | 14 -
tests/util/mtree/d_convert_C_S.out | 14 -
tests/util/mtree/d_convert_D.out | 14 -
tests/util/mtree/d_convert_D_S.out | 14 -
tests/util/mtree/d_create.out | 55 -
tests/util/mtree/d_merge.in | 27 -
tests/util/mtree/d_merge_C_M.out | 13 -
tests/util/mtree/d_merge_C_M_S.out | 13 -
tests/util/mtree/t_mtree.sh | 169 -
tests/util/ps/Makefile | 12 -
tests/util/ps/keywords | 122 -
tests/util/ps/t_ps.sh | 404 ---
tests/util/sdiff/Makefile | 39 -
tests/util/sdiff/d_dot.in | 1 -
tests/util/sdiff/d_flags_l.out | 102 -
tests/util/sdiff/d_flags_s.out | 79 -
tests/util/sdiff/d_flags_w.out | 102 -
tests/util/sdiff/d_iflags_a1.out | 100 -
tests/util/sdiff/d_iflags_a2.out | 96 -
tests/util/sdiff/d_iflags_b1.out | 69 -
tests/util/sdiff/d_iflags_b2.out | 65 -
tests/util/sdiff/d_iflags_c1.out | 99 -
tests/util/sdiff/d_iflags_c2.out | 94 -
tests/util/sdiff/d_iflags_d1.out | 69 -
tests/util/sdiff/d_iflags_d2.out | 65 -
tests/util/sdiff/d_input1 | 72 -
tests/util/sdiff/d_input2 | 69 -
tests/util/sdiff/d_oneline.in | 1 -
tests/util/sdiff/d_oneline_a.out | 1 -
tests/util/sdiff/d_oneline_b.out | 1 -
tests/util/sdiff/d_same.out | 72 -
tests/util/sdiff/d_short.out | 15 -
tests/util/sdiff/d_tabends.in | 17 -
tests/util/sdiff/d_tabends_a.out | 17 -
tests/util/sdiff/d_tabends_b.out | 17 -
tests/util/sdiff/d_tabends_c.out | 17 -
tests/util/sdiff/d_tabs.out | 102 -
tests/util/sdiff/d_tabs1.in | 72 -
tests/util/sdiff/d_tabs2.in | 69 -
tests/util/sdiff/t_sdiff.sh | 206 --
tests/util/sh/Makefile | 17 -
tests/util/sh/t_compexit.sh | 63 -
tests/util/sh/t_evaltested.sh | 60 -
tests/util/sh/t_exit.sh | 94 -
tests/util/sh/t_expand.sh | 128 -
tests/util/sh/t_fsplit.sh | 186 -
tests/util/sh/t_here.sh | 73 -
tests/util/sh/t_set_e.sh | 289 --
tests/util/sh/t_varquote.sh | 82 -
tests/util/sh/t_wait.sh | 59 -
tests/util/sort/Makefile | 15 -
tests/util/sort/d_any_char_dflag_out.txt | Bin
tests/util/sort/d_any_char_fflag_out.txt | Bin
tests/util/sort/d_any_char_iflag_out.txt | Bin
tests/util/sort/d_any_char_in.txt | Bin
tests/util/sort/t_sort.sh | 1023 ----------
tests/util/t_basename.sh | 62 -
tests/util/t_cp.sh | 294 --
tests/util/t_dd.sh | 130 -
tests/util/t_dirname.sh | 49 -
tests/util/t_expr.sh | 213 --
tests/util/t_gzip.sh | 110 -
tests/util/t_pax.sh | 54 -
tests/util/t_tar.sh | 51 -
tests/util/xlint/Makefile | 9 -
tests/util/xlint/lint1/Makefile | 51 -
tests/util/xlint/lint1/d_alignof.c | 6 -
tests/util/xlint/lint1/d_c99_complex_num.c | 7 -
tests/util/xlint/lint1/d_c99_decls_after_stmt.c | 5 -
tests/util/xlint/lint1/d_c99_decls_after_stmt2.c | 6 -
tests/util/xlint/lint1/d_c99_for_loops.c | 10 -
tests/util/xlint/lint1/d_c99_func.c | 7 -
tests/util/xlint/lint1/d_c99_recursive_init.c | 13 -
tests/util/xlint/lint1/d_c99_struct_init.c | 10 -
tests/util/xlint/lint1/d_c99_union_init1.c | 8 -
tests/util/xlint/lint1/d_c99_union_init2.c | 8 -
tests/util/xlint/lint1/d_c99_union_init3.c | 8 -
tests/util/xlint/lint1/d_c9x_array_init.c | 6 -
tests/util/xlint/lint1/d_c9x_recursive_init.c | 16 -
tests/util/xlint/lint1/d_cast_init.c | 27 -
tests/util/xlint/lint1/d_cast_init2.c | 7 -
tests/util/xlint/lint1/d_cast_lhs.c | 7 -
tests/util/xlint/lint1/d_compound_literals1.c | 11 -
tests/util/xlint/lint1/d_compound_literals2.c | 18 -
tests/util/xlint/lint1/d_constant_conv1.c | 9 -
tests/util/xlint/lint1/d_constant_conv2.c | 9 -
tests/util/xlint/lint1/d_cvt_in_ternary.c | 13 -
tests/util/xlint/lint1/d_ellipsis_in_switch.c | 11 -
tests/util/xlint/lint1/d_gcc_compound_statements1.c | 7 -
tests/util/xlint/lint1/d_gcc_compound_statements2.c | 14 -
tests/util/xlint/lint1/d_gcc_compound_statements3.c | 10 -
tests/util/xlint/lint1/d_gcc_func.c | 7 -
tests/util/xlint/lint1/d_gcc_variable_array_init.c | 7 -
tests/util/xlint/lint1/d_incorrect_array_size.c | 3 -
tests/util/xlint/lint1/d_long_double_int.c | 7 -
tests/util/xlint/lint1/d_nested_structs.c | 21 -
tests/util/xlint/lint1/d_nolimit_init.c | 4 -
tests/util/xlint/lint1/d_packed_structs.c | 35 -
tests/util/xlint/lint1/d_shift_to_narrower_type.c | 24 -
tests/util/xlint/lint1/d_type_conv1.c | 11 -
tests/util/xlint/lint1/d_type_conv2.c | 11 -
tests/util/xlint/lint1/d_type_conv3.c | 10 -
tests/util/xlint/lint1/d_typename_as_var.c | 14 -
tests/util/xlint/lint1/d_zero_sized_arrays.c | 3 -
tests/util/xlint/lint1/t_integration.sh | 128 -
442 files changed, 9812 insertions(+), 9757 deletions(-)
diffs (truncated from 21333 to 300 lines):
diff -r 700d0ab73fb9 -r 20395ca75413 tests/Makefile
--- a/tests/Makefile Sat Mar 17 14:42:13 2012 +0000
+++ b/tests/Makefile Sat Mar 17 16:33:10 2012 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.34 2011/11/12 01:19:25 jmmv Exp $
+# $NetBSD: Makefile,v 1.35 2012/03/17 16:33:10 jruoho Exp $
.include <bsd.own.mk>
@@ -7,8 +7,8 @@
TESTSDIR= ${TESTSBASE}
ATFFILE= yes
-SUBDIR= dev examples fs games include ipf kernel lib libexec net
-SUBDIR+= rump sbin sys toolchain usr.bin usr.sbin util
+SUBDIR= bin dev examples fs games include ipf kernel lib libexec net
+SUBDIR+= rump sbin sys toolchain usr.bin usr.sbin
. if ${MKKMOD} != "no"
SUBDIR+= modules
diff -r 700d0ab73fb9 -r 20395ca75413 tests/bin/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/bin/Makefile Sat Mar 17 16:33:10 2012 +0000
@@ -0,0 +1,9 @@
+# $NetBSD: Makefile,v 1.1 2012/03/17 16:33:10 jruoho Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR= ${TESTSBASE}/bin
+
+TESTS_SUBDIRS= cp dd df expr pax ps sh tar
+
+.include <bsd.test.mk>
diff -r 700d0ab73fb9 -r 20395ca75413 tests/bin/cp/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/bin/cp/Makefile Sat Mar 17 16:33:10 2012 +0000
@@ -0,0 +1,8 @@
+# $NetBSD: Makefile,v 1.1 2012/03/17 16:33:10 jruoho Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR= ${TESTSBASE}/bin/cp
+TESTS_SH= t_cp
+
+.include <bsd.test.mk>
diff -r 700d0ab73fb9 -r 20395ca75413 tests/bin/cp/t_cp.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/bin/cp/t_cp.sh Sat Mar 17 16:33:10 2012 +0000
@@ -0,0 +1,294 @@
+# $NetBSD: t_cp.sh,v 1.1 2012/03/17 16:33:10 jruoho Exp $
+#
+# Copyright (c) 2007, 2008 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+FILES="file file2 file3 link dir dir2 dirlink target"
+
+cleanup() {
+ rm -fr ${FILES}
+}
+
+cp_compare() {
+ echo "Ensuring that $2 and $3 are identical"
+ cmp -s $2 $3 || atf_fail "$2 and $3 are different"
+}
+
+reset() {
+ cleanup
+ echo "I'm a file" > file
+ echo "I'm a file, 2" > file2
+ echo "I'm a file, 3" > file3
+ ln -s file link
+ mkdir dir
+ ln -s dir dirlink
+}
+
+atf_test_case file_to_file
+file_to_file_head() {
+ atf_set "descr" "Checks the copy of a file to a file"
+}
+file_to_file_body() {
+ reset
+
+ file_to_file_simple
+ file_to_file_preserve
+ file_to_file_noflags
+}
+
+file_to_file_simple() {
+ rm -f file2
+ umask 022
+ chmod 777 file
+ atf_check -s eq:0 -o empty -e empty cp file file2
+ cp_compare file_to_file_simple file file2
+ if [ `stat -f "%Lp" file2` != "755" ]; then
+ atf_fail "new file not created with umask"
+ fi
+
+ chmod 644 file
+ chmod 777 file2
+ cp_compare file_to_file_simple file file2
+ if [ `stat -f "%Lp" file2` != "777" ]; then
+ atf_fail "existing files permissions not retained"
+ fi
+}
+
+file_to_file_preserve() {
+ rm file3
+ chmod 644 file
+ chflags nodump file
+ atf_check -s eq:0 -o empty -e empty cp -p file file3
+ finfo=`stat -f "%p%u%g%m%z%f" file`
+ f3info=`stat -f "%p%u%g%m%z%f" file3`
+ if [ $finfo != $f3info ]; then
+ atf_fail "attributes not preserved"
+ fi
+}
+
+file_to_file_noflags() {
+ rm file3
+ chmod 644 file
+ chflags nodump file
+ atf_check -s eq:0 -o empty -e empty cp -p -N file file3
+ finfo=`stat -f "%f" file`
+ f3info=`stat -f "%f" file3`
+ if [ $finfo = $f3info ]; then
+ atf_fail "-p -N preserved file flags"
+ fi
+}
+
+atf_test_case file_to_link
+file_to_link_head() {
+ atf_set "descr" "Checks the copy of a file to a symbolic link"
+}
+file_to_link_body() {
+ reset
+ atf_check -s eq:0 -o empty -e empty cp file2 link
+ cp_compare file_to_link file file2
+}
+
+atf_test_case link_to_file
+link_to_file_head() {
+ atf_set "descr" "Checks the copy of a symbolic link to a file"
+}
+link_to_file_body() {
+ reset
+ # file and link are identical (not copied).
+ atf_check -s eq:1 -o empty -e ignore cp link file
+ atf_check -s eq:0 -o empty -e empty cp link file2
+ cp_compare link_to_file file file2
+}
+
+atf_test_case file_over_link
+file_over_link_head() {
+ atf_set "descr" "Checks the copy of a file to a symbolic link" \
+ "without following it"
+}
+file_over_link_body() {
+ reset
+ atf_check -s eq:0 -o empty -e empty cp -P file link
+ cp_compare file_over_link file link
+}
+
+atf_test_case link_over_file
+link_over_file_head() {
+ atf_set "descr" "Checks the copy of a symbolic link to a file" \
+ "without following the former"
+}
+link_over_file_body() {
+ reset
+ atf_check -s eq:0 -o empty -e empty cp -P link file
+ if [ `readlink link` != `readlink file` ]; then
+ atf_fail "readlink link != readlink file"
+ fi
+}
+
+atf_test_case files_to_dir
+files_to_dir_head() {
+ atf_set "descr" "Checks the copy of multiple files into a directory"
+}
+files_to_dir_body() {
+ reset
+ # can't copy multiple files to a file
+ atf_check -s eq:1 -o empty -e ignore cp file file2 file3
+ atf_check -s eq:0 -o empty -e empty cp file file2 link dir
+ cp_compare files_to_dir file "dir/file"
+}
+
+atf_test_case dir_to_file
+dir_to_file_head() {
+ atf_set "descr" "Checks the copy of a directory onto a file, which" \
+ "should not work"
+}
+dir_to_file_body() {
+ reset
+ # can't copy a dir onto a file
+ atf_check -s eq:1 -o empty -e ignore cp dir file
+ atf_check -s eq:1 -o empty -e ignore cp -R dir file
+}
+
+atf_test_case file_to_linkdir
+file_to_linkdir_head() {
+ atf_set "descr" "Checks the copy of a file to a symbolic link that" \
+ "points to a directory"
+}
+file_to_linkdir_body() {
+ reset
+ atf_check -s eq:0 -o empty -e empty cp file dirlink
+ cp_compare file_to_linkdir file "dir/file"
+
+ # overwrite the link
+ atf_check -s eq:0 -o empty -e empty cp -P file dirlink
+ atf_check -s eq:1 -o empty -e empty readlink dirlink
+ cp_compare file_to_linkdir file dirlink
+}
+
+atf_test_case linkdir_to_file
+linkdir_to_file_head() {
+ atf_set "descr" "Checks the copy of a symbolic link that points to" \
+ "a directory onto a file"
+}
+linkdir_to_file_body() {
+ reset
+ # cannot copy a dir onto a file
+ atf_check -s eq:1 -o empty -e ignore cp dirlink file
+
+ # overwrite the link
+ atf_check -s eq:0 -o empty -e empty cp -P dirlink file
+ if [ `readlink file` != `readlink dirlink` ]; then
+ atf_fail "readlink link != readlink file"
+ fi
+}
+
+dir_to_dne_no_R() {
+ atf_check -s eq:1 -o empty -e ignore cp dir dir2
+}
+
+dir_to_dne() {
+ atf_check -s eq:0 -o empty -e empty cp -R dir dir2
+ cp_compare dir_to_dne "dir/file" "dir2/file"
+ readlink dir2/link >/dev/null
+ if [ $? -gt 0 ]; then
+ atf_fail "-R didn't copy a link as a link"
+ fi
+}
+
+dir_to_dir_H() {
+ dir_to_dir_setup
+ atf_check -s eq:0 -o empty -e empty cp -R dir dir2
+
+ chmod 777 dir
+
+ # copy a dir into a dir, only command-line links are followed
+ atf_check -s eq:0 -o empty -e empty cp -R -H dirlink dir2
+ cp_compare dir_to_dir_H "dir/file" "dir2/dirlink/file"
+ readlink dir2/dirlink/link >/dev/null
+ if [ $? -gt 0 ]; then
+ atf_fail "didn't copy a link as a link"
+ fi
+
+ # Created directories have the same mode as the corresponding
+ # source directory, unmodified by the process's umask.
+ if [ `stat -f "%Lp" dir2/dirlink` != "777" ]; then
+ atf_fail "-R modified dir perms with umask"
+ fi
+}
+
+dir_to_dir_L() {
+ dir_to_dir_setup
+ atf_check -s eq:0 -o empty -e empty cp -R dir dir2
+ atf_check -s eq:0 -o empty -e empty cp -R -H dirlink dir2
+
+ # copy a dir into a dir, following all links
+ atf_check -s eq:0 -o empty -e empty cp -R -H -L dirlink dir2/dirlink
+ cp_compare dir_to_dir_L "dir/file" "dir2/dirlink/dirlink/file"
+ # fail if -R -L copied a link as a link
+ atf_check -s eq:1 -o ignore -e empty readlink dir2/dirlink/dirlink/link
+}
+
Home |
Main Index |
Thread Index |
Old Index